VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "CIN"
        SIGNAL "A(7:0)"
        SIGNAL "B(7:0)"
        SIGNAL "A(15:8)"
        SIGNAL "B(15:8)"
        SIGNAL "XLXN_6"
        SIGNAL "S(7:0)"
        SIGNAL "S(15:8)"
        SIGNAL "A(15:0)"
        SIGNAL "B(15:0)"
        SIGNAL "S(15:0)"
        SIGNAL "XLXN_7"
        SIGNAL "XLXN_8"
        SIGNAL "XLXN_10"
        SIGNAL "XLXN_12"
        SIGNAL "XLXN_13"
        SIGNAL "XLXN_14"
        SIGNAL "COUT"
        PORT Input "CIN"
        PORT Input "A(15:0)"
        PORT Input "B(15:0)"
        PORT Output "S(15:0)"
        PORT Output "COUT"
        BEGIN BLOCKDEF "and3"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 256 -128 192 -128 
            LINE N 64 -176 144 -176 
            LINE N 144 -80 64 -80 
            ARC N 96 -176 192 -80 144 -80 144 -176 
            LINE N 64 -64 64 -192 
        END BLOCKDEF
        BEGIN BLOCKDEF "and2"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF "or3"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 48 -64 
            LINE N 0 -128 72 -128 
            LINE N 0 -192 48 -192 
            LINE N 256 -128 192 -128 
            ARC N 28 -256 204 -80 112 -80 192 -128 
            ARC N -40 -184 72 -72 48 -80 48 -176 
            LINE N 48 -64 48 -80 
            LINE N 48 -192 48 -176 
            LINE N 112 -80 48 -80 
            ARC N 28 -176 204 0 192 -128 112 -176 
            LINE N 112 -176 48 -176 
        END BLOCKDEF
        BEGIN BLOCKDEF "cla8vhd"
            TIMESTAMP 2005 3 12 15 51 28
            LINE N 320 32 384 32 
            LINE N 320 96 384 96 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
            RECTANGLE N 64 -192 320 128 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_7" "and3"
            PIN "I0" "CIN"
            PIN "I1" "XLXN_8"
            PIN "I2" "XLXN_7"
            PIN "O" "XLXN_13"
        END BLOCK
        BEGIN BLOCK "XLXI_8" "and2"
            PIN "I0" "XLXN_10"
            PIN "I1" "XLXN_8"
            PIN "O" "XLXN_14"
        END BLOCK
        BEGIN BLOCK "XLXI_9" "or3"
            PIN "I0" "XLXN_14"
            PIN "I1" "XLXN_13"
            PIN "I2" "XLXN_12"
            PIN "O" "COUT"
        END BLOCK
        BEGIN BLOCK "XLXI_10" "cla8vhd"
            PIN "CIN" "CIN"
            PIN "A(7:0)" "A(7:0)"
            PIN "B(7:0)" "B(7:0)"
            PIN "COUT" "XLXN_6"
            PIN "S(7:0)" "S(7:0)"
            PIN "G8" "XLXN_10"
            PIN "P8" "XLXN_7"
        END BLOCK
        BEGIN BLOCK "XLXI_11" "cla8vhd"
            PIN "CIN" "XLXN_6"
            PIN "A(7:0)" "A(15:8)"
            PIN "B(7:0)" "B(15:8)"
            PIN "COUT"
            PIN "S(7:0)" "S(15:8)"
            PIN "G8" "XLXN_12"
            PIN "P8" "XLXN_8"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH "CIN"
            WIRE 784 480 832 480
            WIRE 832 480 1264 480
            WIRE 832 480 832 1488
            WIRE 832 1488 1760 1488
        END BRANCH
        IOMARKER 784 480 "CIN" R180 28
        BEGIN BRANCH "A(7:0)"
            WIRE 864 544 992 544
            WIRE 992 544 1264 544
            BEGIN DISPLAY 992 544 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(7:0)"
            WIRE 864 608 976 608
            WIRE 976 608 1264 608
            BEGIN DISPLAY 976 608 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(15:8)"
            WIRE 864 1024 976 1024
            WIRE 976 1024 1280 1024
            BEGIN DISPLAY 976 1024 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(15:8)"
            WIRE 864 1088 960 1088
            WIRE 960 1088 1280 1088
            BEGIN DISPLAY 960 1088 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "XLXN_6"
            WIRE 1216 800 1728 800
            WIRE 1216 800 1216 960
            WIRE 1216 960 1280 960
            WIRE 1648 480 1728 480
            WIRE 1728 480 1728 800
        END BRANCH
        BEGIN BRANCH "S(7:0)"
            WIRE 1648 608 1856 608
            WIRE 1856 608 2064 608
            BEGIN DISPLAY 1856 608 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(15:8)"
            WIRE 1664 1088 1840 1088
            WIRE 1840 1088 2048 1088
            BEGIN DISPLAY 1840 1088 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(15:0)"
            WIRE 336 720 624 720
        END BRANCH
        BEGIN BRANCH "B(15:0)"
            WIRE 336 816 608 816
            WIRE 608 816 624 816
        END BRANCH
        IOMARKER 336 720 "A(15:0)" R180 28
        IOMARKER 336 816 "B(15:0)" R180 28
        BEGIN BRANCH "S(15:0)"
            WIRE 2096 800 2384 800
        END BRANCH
        IOMARKER 2384 800 "S(15:0)" R0 28
        INSTANCE "XLXI_7" 1760 1552 R0
        BEGIN BRANCH "XLXN_7"
            WIRE 1648 736 1760 736
            WIRE 1760 736 1760 1360
        END BRANCH
        BEGIN BRANCH "XLXN_8"
            WIRE 1664 1216 1712 1216
            WIRE 1712 1216 1712 1424
            WIRE 1712 1424 1760 1424
            WIRE 1712 1424 1712 1616
            WIRE 1712 1616 1760 1616
        END BRANCH
        INSTANCE "XLXI_8" 1760 1744 R0
        BEGIN BRANCH "XLXN_10"
            WIRE 1648 672 1696 672
            WIRE 1696 672 1696 1680
            WIRE 1696 1680 1760 1680
        END BRANCH
        INSTANCE "XLXI_9" 2240 1392 R0
        BEGIN BRANCH "XLXN_12"
            WIRE 1664 1152 2240 1152
            WIRE 2240 1152 2240 1200
        END BRANCH
        BEGIN BRANCH "XLXN_13"
            WIRE 2016 1424 2128 1424
            WIRE 2128 1264 2128 1424
            WIRE 2128 1264 2240 1264
        END BRANCH
        BEGIN BRANCH "XLXN_14"
            WIRE 2016 1648 2240 1648
            WIRE 2240 1328 2240 1648
        END BRANCH
        BEGIN BRANCH "COUT"
            WIRE 2496 1264 2688 1264
        END BRANCH
        IOMARKER 2688 1264 "COUT" R0 28
        BEGIN INSTANCE "XLXI_10" 1264 640 R0
        END INSTANCE
        BEGIN INSTANCE "XLXI_11" 1280 1120 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
