--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 7.1i
--  \   \         Application : sch2vhdl
--  /   /         Filename : rca16_top.vhf
-- /___/   /\     Timestamp : 03/20/2006 12:04:14
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: "C:/Program Files/Xilinx/bin/nt/sch2vhdl.exe" -intstyle ise -family spartan2e -flat -suppress -w rca16_top.sch rca16_top.vhf
--Design Name: rca16_top
--Device: spartan2e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity FD16CE_MXILINX_rca16_top is
   port ( C   : in    std_logic; 
          CE  : in    std_logic; 
          CLR : in    std_logic; 
          D   : in    std_logic_vector (15 downto 0); 
          Q   : out   std_logic_vector (15 downto 0));
end FD16CE_MXILINX_rca16_top;

architecture BEHAVIORAL of FD16CE_MXILINX_rca16_top is
   attribute INIT       : string ;
   attribute BOX_TYPE   : string ;
   component FDCE
      -- synopsys translate_off
      generic( INIT : bit :=  '0');
      -- synopsys translate_on
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute INIT of FDCE : component is "0";
   attribute BOX_TYPE of FDCE : component is "BLACK_BOX";
   
begin
   I_Q0 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(0),
                Q=>Q(0));
   
   I_Q1 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(1),
                Q=>Q(1));
   
   I_Q2 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(2),
                Q=>Q(2));
   
   I_Q3 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(3),
                Q=>Q(3));
   
   I_Q4 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(4),
                Q=>Q(4));
   
   I_Q5 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(5),
                Q=>Q(5));
   
   I_Q6 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(6),
                Q=>Q(6));
   
   I_Q7 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(7),
                Q=>Q(7));
   
   I_Q8 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(8),
                Q=>Q(8));
   
   I_Q9 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(9),
                Q=>Q(9));
   
   I_Q10 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(10),
                Q=>Q(10));
   
   I_Q11 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(11),
                Q=>Q(11));
   
   I_Q12 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(12),
                Q=>Q(12));
   
   I_Q13 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(13),
                Q=>Q(13));
   
   I_Q14 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(14),
                Q=>Q(14));
   
   I_Q15 : FDCE
      port map (C=>C,
                CE=>CE,
                CLR=>CLR,
                D=>D(15),
                Q=>Q(15));
   
end BEHAVIORAL;



library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity rca16_top is
   port ( A     : in    std_logic_vector (15 downto 0); 
          B     : in    std_logic_vector (15 downto 0); 
          CE1   : in    std_logic; 
          CE2   : in    std_logic; 
          CIN   : in    std_logic; 
          CLK   : in    std_logic; 
          RESET : in    std_logic; 
          COUT  : out   std_logic; 
          S     : out   std_logic_vector (15 downto 0));
end rca16_top;

architecture BEHAVIORAL of rca16_top is
   attribute INIT       : string ;
   attribute BOX_TYPE   : string ;
   attribute HU_SET     : string ;
   signal XLXN_1  : std_logic;
   signal XLXN_6  : std_logic;
   signal XLXN_8  : std_logic_vector (15 downto 0);
   signal XLXN_9  : std_logic_vector (15 downto 0);
   signal XLXN_10 : std_logic_vector (15 downto 0);
   component FDCE
      -- synopsys translate_off
      generic( INIT : bit :=  '0');
      -- synopsys translate_on
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic; 
             Q   : out   std_logic);
   end component;
   attribute INIT of FDCE : component is "0";
   attribute BOX_TYPE of FDCE : component is "BLACK_BOX";
   
   component FD16CE_MXILINX_rca16_top
      port ( C   : in    std_logic; 
             CE  : in    std_logic; 
             CLR : in    std_logic; 
             D   : in    std_logic_vector (15 downto 0); 
             Q   : out   std_logic_vector (15 downto 0));
   end component;
   
   component rca16
      port ( CIN  : in    std_logic; 
             A    : in    std_logic_vector (15 downto 0); 
             B    : in    std_logic_vector (15 downto 0); 
             COUT : out   std_logic; 
             S    : out   std_logic_vector (15 downto 0));
   end component;
   
   attribute HU_SET of XLXI_8 : label is "XLXI_8_0";
   attribute HU_SET of XLXI_9 : label is "XLXI_9_1";
   attribute HU_SET of XLXI_11 : label is "XLXI_11_2";
begin
   XLXI_6 : FDCE
      port map (C=>CLK,
                CE=>CE2,
                CLR=>RESET,
                D=>XLXN_6,
                Q=>COUT);
   
   XLXI_8 : FD16CE_MXILINX_rca16_top
      port map (C=>CLK,
                CE=>CE1,
                CLR=>RESET,
                D(15 downto 0)=>A(15 downto 0),
                Q(15 downto 0)=>XLXN_8(15 downto 0));
   
   XLXI_9 : FD16CE_MXILINX_rca16_top
      port map (C=>CLK,
                CE=>CE1,
                CLR=>RESET,
                D(15 downto 0)=>B(15 downto 0),
                Q(15 downto 0)=>XLXN_9(15 downto 0));
   
   XLXI_10 : FDCE
      port map (C=>CLK,
                CE=>CE1,
                CLR=>RESET,
                D=>CIN,
                Q=>XLXN_1);
   
   XLXI_11 : FD16CE_MXILINX_rca16_top
      port map (C=>CLK,
                CE=>CE2,
                CLR=>RESET,
                D(15 downto 0)=>XLXN_10(15 downto 0),
                Q(15 downto 0)=>S(15 downto 0));
   
   XLXI_12 : rca16
      port map (A(15 downto 0)=>XLXN_8(15 downto 0),
                B(15 downto 0)=>XLXN_9(15 downto 0),
                CIN=>XLXN_1,
                COUT=>XLXN_6,
                S(15 downto 0)=>XLXN_10(15 downto 0));
   
end BEHAVIORAL;


