VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "CIN"
        SIGNAL "A(0)"
        SIGNAL "B(0)"
        SIGNAL "A(7:0)"
        SIGNAL "B(7:0)"
        SIGNAL "A(1)"
        SIGNAL "B(1)"
        SIGNAL "A(2)"
        SIGNAL "B(2)"
        SIGNAL "A(3)"
        SIGNAL "B(3)"
        SIGNAL "A(4)"
        SIGNAL "B(4)"
        SIGNAL "A(5)"
        SIGNAL "B(5)"
        SIGNAL "A(6)"
        SIGNAL "B(6)"
        SIGNAL "A(7)"
        SIGNAL "B(7)"
        SIGNAL "COUT"
        SIGNAL "S(7:0)"
        SIGNAL "S(0)"
        SIGNAL "S(1)"
        SIGNAL "S(2)"
        SIGNAL "S(3)"
        SIGNAL "S(4)"
        SIGNAL "S(5)"
        SIGNAL "S(6)"
        SIGNAL "S(7)"
        SIGNAL "XLXN_58"
        SIGNAL "XLXN_59"
        SIGNAL "XLXN_60"
        SIGNAL "XLXN_61"
        SIGNAL "XLXN_62"
        SIGNAL "XLXN_63"
        SIGNAL "XLXN_64"
        PORT Input "CIN"
        PORT Input "A(7:0)"
        PORT Input "B(7:0)"
        PORT Output "COUT"
        PORT Output "S(7:0)"
        BEGIN BLOCKDEF "full_adder"
            TIMESTAMP 2005 3 12 12 54 38
            LINE N 256 32 256 -32 
            LINE N 192 32 192 -32 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 128 -192 128 -256 
            LINE N 320 -112 384 -112 
            LINE N 128 32 128 -32 
            RECTANGLE N 64 -192 320 -32 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_13" "full_adder"
            PIN "A" "A(0)"
            PIN "B" "B(0)"
            PIN "CI" "CIN"
            PIN "S" "S(0)"
            PIN "CO" "XLXN_64"
            PIN "P"
            PIN "G"
        END BLOCK
        BEGIN BLOCK "XLXI_14" "full_adder"
            PIN "A" "A(1)"
            PIN "B" "B(1)"
            PIN "CI" "XLXN_64"
            PIN "S" "S(1)"
            PIN "CO" "XLXN_63"
            PIN "P"
            PIN "G"
        END BLOCK
        BEGIN BLOCK "XLXI_15" "full_adder"
            PIN "A" "A(2)"
            PIN "B" "B(2)"
            PIN "CI" "XLXN_63"
            PIN "S" "S(2)"
            PIN "CO" "XLXN_62"
            PIN "P"
            PIN "G"
        END BLOCK
        BEGIN BLOCK "XLXI_16" "full_adder"
            PIN "A" "A(3)"
            PIN "B" "B(3)"
            PIN "CI" "XLXN_62"
            PIN "S" "S(3)"
            PIN "CO" "XLXN_61"
            PIN "P"
            PIN "G"
        END BLOCK
        BEGIN BLOCK "XLXI_17" "full_adder"
            PIN "A" "A(4)"
            PIN "B" "B(4)"
            PIN "CI" "XLXN_61"
            PIN "S" "S(4)"
            PIN "CO" "XLXN_60"
            PIN "P"
            PIN "G"
        END BLOCK
        BEGIN BLOCK "XLXI_18" "full_adder"
            PIN "A" "A(5)"
            PIN "B" "B(5)"
            PIN "CI" "XLXN_60"
            PIN "S" "S(5)"
            PIN "CO" "XLXN_59"
            PIN "P"
            PIN "G"
        END BLOCK
        BEGIN BLOCK "XLXI_19" "full_adder"
            PIN "A" "A(6)"
            PIN "B" "B(6)"
            PIN "CI" "XLXN_59"
            PIN "S" "S(6)"
            PIN "CO" "XLXN_58"
            PIN "P"
            PIN "G"
        END BLOCK
        BEGIN BLOCK "XLXI_20" "full_adder"
            PIN "A" "A(7)"
            PIN "B" "B(7)"
            PIN "CI" "XLXN_58"
            PIN "S" "S(7)"
            PIN "CO" "COUT"
            PIN "P"
            PIN "G"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE "XLXI_13" 2960 1440 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_14" 2560 1440 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_15" 2144 1440 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_16" 1744 1440 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_17" 1344 1440 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_18" 944 1440 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_19" 528 1440 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_20" 128 1440 R90
        END INSTANCE
        BEGIN BRANCH "CIN"
            WIRE 3216 1568 3296 1568
        END BRANCH
        IOMARKER 3296 1568 "CIN" R0 28
        BEGIN BRANCH "A(0)"
            WIRE 3120 1200 3120 1280
            WIRE 3120 1280 3120 1440
            BEGIN DISPLAY 3120 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(0)"
            WIRE 3056 1200 3056 1280
            WIRE 3056 1280 3056 1440
            BEGIN DISPLAY 3056 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(7:0)"
            WIRE 1920 800 1920 960
        END BRANCH
        BEGIN BRANCH "B(7:0)"
            WIRE 1760 800 1760 960
        END BRANCH
        IOMARKER 1920 800 "A(7:0)" R270 28
        IOMARKER 1760 800 "B(7:0)" R270 28
        BEGIN BRANCH "A(1)"
            WIRE 2720 1200 2720 1280
            WIRE 2720 1280 2720 1440
            BEGIN DISPLAY 2720 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(1)"
            WIRE 2656 1200 2656 1280
            WIRE 2656 1280 2656 1440
            BEGIN DISPLAY 2656 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(2)"
            WIRE 2304 1200 2304 1280
            WIRE 2304 1280 2304 1440
            BEGIN DISPLAY 2304 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(2)"
            WIRE 2240 1200 2240 1280
            WIRE 2240 1280 2240 1440
            BEGIN DISPLAY 2240 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(3)"
            WIRE 1904 1200 1904 1280
            WIRE 1904 1280 1904 1440
            BEGIN DISPLAY 1904 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(3)"
            WIRE 1840 1200 1840 1280
            WIRE 1840 1280 1840 1440
            BEGIN DISPLAY 1840 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(4)"
            WIRE 1504 1200 1504 1280
            WIRE 1504 1280 1504 1440
            BEGIN DISPLAY 1504 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(4)"
            WIRE 1440 1200 1440 1280
            WIRE 1440 1280 1440 1440
            BEGIN DISPLAY 1440 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(5)"
            WIRE 1104 1200 1104 1280
            WIRE 1104 1280 1104 1440
            BEGIN DISPLAY 1104 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(5)"
            WIRE 1040 1200 1040 1280
            WIRE 1040 1280 1040 1440
            BEGIN DISPLAY 1040 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(6)"
            WIRE 688 1200 688 1280
            WIRE 688 1280 688 1440
            BEGIN DISPLAY 688 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(6)"
            WIRE 624 1200 624 1280
            WIRE 624 1280 624 1440
            BEGIN DISPLAY 624 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(7)"
            WIRE 288 1200 288 1280
            WIRE 288 1280 288 1440
            BEGIN DISPLAY 288 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(7)"
            WIRE 224 1200 224 1280
            WIRE 224 1280 224 1440
            BEGIN DISPLAY 224 1280 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "COUT"
            WIRE 48 1568 96 1568
        END BRANCH
        IOMARKER 48 1568 "COUT" R180 28
        BEGIN BRANCH "S(7:0)"
            WIRE 2000 2240 2000 2400
        END BRANCH
        IOMARKER 2000 2400 "S(7:0)" R90 28
        BEGIN BRANCH "S(0)"
            WIRE 3072 1824 3072 1936
            WIRE 3072 1936 3072 2000
            BEGIN DISPLAY 3072 1936 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(1)"
            WIRE 2672 1824 2672 1936
            WIRE 2672 1936 2672 2000
            BEGIN DISPLAY 2672 1936 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(2)"
            WIRE 2256 1824 2256 1936
            WIRE 2256 1936 2256 2000
            BEGIN DISPLAY 2256 1936 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(3)"
            WIRE 1856 1824 1856 1936
            WIRE 1856 1936 1856 2000
            BEGIN DISPLAY 1856 1936 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(4)"
            WIRE 1456 1824 1456 1840
            WIRE 1456 1840 1456 1936
            WIRE 1456 1936 1456 2000
            BEGIN DISPLAY 1456 1936 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(5)"
            WIRE 1056 1824 1056 1936
            WIRE 1056 1936 1056 2000
            BEGIN DISPLAY 1056 1936 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(6)"
            WIRE 640 1824 640 1936
            WIRE 640 1936 640 2000
            BEGIN DISPLAY 640 1936 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(7)"
            WIRE 240 1824 240 1936
            WIRE 240 1936 240 2000
            BEGIN DISPLAY 240 1936 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "XLXN_58"
            WIRE 384 1568 496 1568
        END BRANCH
        BEGIN BRANCH "XLXN_59"
            WIRE 784 1568 912 1568
        END BRANCH
        BEGIN BRANCH "XLXN_60"
            WIRE 1200 1568 1312 1568
        END BRANCH
        BEGIN BRANCH "XLXN_61"
            WIRE 1600 1568 1712 1568
        END BRANCH
        BEGIN BRANCH "XLXN_62"
            WIRE 2000 1568 2112 1568
        END BRANCH
        BEGIN BRANCH "XLXN_63"
            WIRE 2400 1568 2528 1568
        END BRANCH
        BEGIN BRANCH "XLXN_64"
            WIRE 2816 1568 2928 1568
        END BRANCH
    END SHEET
END SCHEMATIC
