--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 7.1i
--  \   \         Application : sch2vhdl
--  /   /         Filename : rca8.vhf
-- /___/   /\     Timestamp : 03/20/2006 12:04:15
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: "C:/Program Files/Xilinx/bin/nt/sch2vhdl.exe" -intstyle ise -family spartan2e -flat -suppress -w rca8.sch rca8.vhf
--Design Name: rca8
--Device: spartan2e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity rca8 is
   port ( A    : in    std_logic_vector (7 downto 0); 
          B    : in    std_logic_vector (7 downto 0); 
          CIN  : in    std_logic; 
          COUT : out   std_logic; 
          S    : out   std_logic_vector (7 downto 0));
end rca8;

architecture BEHAVIORAL of rca8 is
   signal XLXN_58 : std_logic;
   signal XLXN_59 : std_logic;
   signal XLXN_60 : std_logic;
   signal XLXN_61 : std_logic;
   signal XLXN_62 : std_logic;
   signal XLXN_63 : std_logic;
   signal XLXN_64 : std_logic;
   component full_adder
      port ( A  : in    std_logic; 
             B  : in    std_logic; 
             CI : in    std_logic; 
             S  : out   std_logic; 
             CO : out   std_logic; 
             P  : out   std_logic; 
             G  : out   std_logic);
   end component;
   
begin
   XLXI_13 : full_adder
      port map (A=>A(0),
                B=>B(0),
                CI=>CIN,
                CO=>XLXN_64,
                G=>open,
                P=>open,
                S=>S(0));
   
   XLXI_14 : full_adder
      port map (A=>A(1),
                B=>B(1),
                CI=>XLXN_64,
                CO=>XLXN_63,
                G=>open,
                P=>open,
                S=>S(1));
   
   XLXI_15 : full_adder
      port map (A=>A(2),
                B=>B(2),
                CI=>XLXN_63,
                CO=>XLXN_62,
                G=>open,
                P=>open,
                S=>S(2));
   
   XLXI_16 : full_adder
      port map (A=>A(3),
                B=>B(3),
                CI=>XLXN_62,
                CO=>XLXN_61,
                G=>open,
                P=>open,
                S=>S(3));
   
   XLXI_17 : full_adder
      port map (A=>A(4),
                B=>B(4),
                CI=>XLXN_61,
                CO=>XLXN_60,
                G=>open,
                P=>open,
                S=>S(4));
   
   XLXI_18 : full_adder
      port map (A=>A(5),
                B=>B(5),
                CI=>XLXN_60,
                CO=>XLXN_59,
                G=>open,
                P=>open,
                S=>S(5));
   
   XLXI_19 : full_adder
      port map (A=>A(6),
                B=>B(6),
                CI=>XLXN_59,
                CO=>XLXN_58,
                G=>open,
                P=>open,
                S=>S(6));
   
   XLXI_20 : full_adder
      port map (A=>A(7),
                B=>B(7),
                CI=>XLXN_58,
                CO=>COUT,
                G=>open,
                P=>open,
                S=>S(7));
   
end BEHAVIORAL;


