library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

--  Uncomment the following lines to use the declarations that are
--  provided for instantiating Xilinx primitive components.
--library UNISIM;
--use UNISIM.VComponents.all;

entity carry8_logic is
    Port ( C : out std_logic_vector(7 downto 0);
           G : in std_logic_vector(7 downto 0);
           P : in std_logic_vector(7 downto 0);
           CIN : in std_logic;
           G8 : out std_logic;
           P8 : out std_logic);
end carry8_logic;

architecture rtl of carry8_logic is

begin
			  C(1) <= (P(0) and CIN) or G(0);
			  C(2) <= (P(1) and ((P(0) and CIN) or G(0))) or G(1);
			  C(3) <= (P(2) and ((P(1) and ((P(0) and CIN) or G(0))) or G(1))) or G(2);
			  C(4) <= (P(3) and ((P(2) and ((P(1) and ((P(0) and CIN) or G(0))) or G(1))) or G(2))) or G(3);
			  C(5) <= (P(4) and ((P(3) and ((P(2) and ((P(1) and ((P(0) and CIN) or G(0))) or G(1))) or G(2))) or G(3))) or G(4);
			  C(6) <= (P(5) and ((P(4) and ((P(3) and ((P(2) and ((P(1) and ((P(0) and CIN) or G(0))) or G(1))) or G(2))) or G(3))) or G(4))) or G(5);
			  C(7) <= (P(6) and ((P(5) and ((P(4) and ((P(3) and ((P(2) and ((P(1) and ((P(0) and CIN) or G(0))) or G(1))) or G(2))) or G(3))) or G(4))) or G(5))) or G(6);
end rtl;
