VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "G(7:0)"
        SIGNAL "P(7:0)"
        SIGNAL "CIN"
        SIGNAL "G(3:0)"
        SIGNAL "G(7:4)"
        SIGNAL "P(3:0)"
        SIGNAL "P(7:4)"
        SIGNAL "XLXN_11"
        SIGNAL "XLXN_13"
        SIGNAL "XLXN_14"
        SIGNAL "XLXN_15"
        SIGNAL "C(3:0)"
        SIGNAL "C(7:4)"
        SIGNAL "XLXN_18"
        SIGNAL "XLXN_20"
        SIGNAL "XLXN_21"
        SIGNAL "G8"
        SIGNAL "C(7:0)"
        SIGNAL "P8"
        PORT Input "G(7:0)"
        PORT Input "P(7:0)"
        PORT Input "CIN"
        PORT Output "G8"
        PORT Output "C(7:0)"
        PORT Output "P8"
        BEGIN BLOCKDEF "carry_logic4"
            TIMESTAMP 2005 3 12 14 19 17
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCKDEF "and2"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF "or2"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_1" "carry_logic4"
            PIN "G(3:0)" "G(3:0)"
            PIN "P(3:0)" "P(3:0)"
            PIN "CIN" "CIN"
            PIN "P4" "XLXN_11"
            PIN "G4" "XLXN_15"
            PIN "C(3:0)" "C(3:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_2" "carry_logic4"
            PIN "G(3:0)" "G(7:4)"
            PIN "P(3:0)" "P(7:4)"
            PIN "CIN" "XLXN_13"
            PIN "P4" "XLXN_20"
            PIN "G4" "XLXN_21"
            PIN "C(3:0)" "C(7:4)"
        END BLOCK
        BEGIN BLOCK "XLXI_3" "and2"
            PIN "I0" "XLXN_11"
            PIN "I1" "CIN"
            PIN "O" "XLXN_14"
        END BLOCK
        BEGIN BLOCK "XLXI_4" "or2"
            PIN "I0" "XLXN_14"
            PIN "I1" "XLXN_15"
            PIN "O" "XLXN_13"
        END BLOCK
        BEGIN BLOCK "XLXI_5" "or2"
            PIN "I0" "XLXN_21"
            PIN "I1" "XLXN_18"
            PIN "O" "G8"
        END BLOCK
        BEGIN BLOCK "XLXI_6" "and2"
            PIN "I0" "XLXN_20"
            PIN "I1" "XLXN_15"
            PIN "O" "XLXN_18"
        END BLOCK
        BEGIN BLOCK "XLXI_7" "and2"
            PIN "I0" "XLXN_20"
            PIN "I1" "XLXN_11"
            PIN "O" "P8"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE "XLXI_1" 1120 656 R0
            BEGIN DISPLAY 512 -32 ATTR "Name"
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE "XLXI_2" 1104 1440 R0
            BEGIN DISPLAY 512 -32 ATTR "Name"
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH "G(7:0)"
            WIRE 160 480 304 480
            WIRE 304 480 384 480
            BEGIN DISPLAY 304 480 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "P(7:0)"
            WIRE 160 560 304 560
            WIRE 304 560 384 560
            BEGIN DISPLAY 304 560 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 160 480 "G(7:0)" R180 28
        IOMARKER 160 560 "P(7:0)" R180 28
        BEGIN BRANCH "CIN"
            WIRE 160 400 560 400
            WIRE 560 400 560 624
            WIRE 560 624 1120 624
            WIRE 288 624 288 1408
            WIRE 288 1408 320 1408
            WIRE 288 624 560 624
        END BRANCH
        IOMARKER 160 400 "CIN" R180 28
        BEGIN BRANCH "G(3:0)"
            WIRE 736 496 800 496
            WIRE 800 496 1120 496
            BEGIN DISPLAY 800 496 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "G(7:4)"
            WIRE 768 1280 864 1280
            WIRE 864 1280 1104 1280
            BEGIN DISPLAY 864 1280 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "P(3:0)"
            WIRE 736 560 800 560
            WIRE 800 560 1120 560
            BEGIN DISPLAY 800 560 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "P(7:4)"
            WIRE 768 1344 864 1344
            WIRE 864 1344 1104 1344
            BEGIN DISPLAY 864 1344 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE "XLXI_3" 320 1536 R0
        BEGIN BRANCH "XLXN_11"
            WIRE 224 800 224 1472
            WIRE 224 1472 320 1472
            WIRE 224 800 1568 800
            WIRE 1504 496 1568 496
            WIRE 1568 496 1568 736
            WIRE 1568 736 1568 800
            WIRE 1568 736 2064 736
        END BRANCH
        INSTANCE "XLXI_4" 752 1504 R0
        BEGIN BRANCH "XLXN_13"
            WIRE 1008 1408 1104 1408
        END BRANCH
        BEGIN BRANCH "XLXN_14"
            WIRE 576 1440 752 1440
        END BRANCH
        BEGIN BRANCH "XLXN_15"
            WIRE 560 880 1536 880
            WIRE 1536 880 1536 928
            WIRE 1536 928 1632 928
            WIRE 560 880 560 1376
            WIRE 560 1376 752 1376
            WIRE 1504 560 1536 560
            WIRE 1536 560 1536 880
        END BRANCH
        BEGIN BRANCH "C(3:0)"
            WIRE 1504 624 2208 624
        END BRANCH
        BEGIN BRANCH "C(7:4)"
            WIRE 1488 1408 1984 1408
        END BRANCH
        INSTANCE "XLXI_6" 1632 1056 R0
        INSTANCE "XLXI_5" 2064 1088 R0
        BEGIN BRANCH "XLXN_18"
            WIRE 1888 960 2064 960
        END BRANCH
        BEGIN BRANCH "XLXN_20"
            WIRE 1488 1280 1600 1280
            WIRE 1600 800 2064 800
            WIRE 1600 800 1600 992
            WIRE 1600 992 1632 992
            WIRE 1600 992 1600 1280
        END BRANCH
        BEGIN BRANCH "XLXN_21"
            WIRE 1488 1344 1776 1344
            WIRE 1776 1024 1776 1344
            WIRE 1776 1024 2064 1024
        END BRANCH
        BEGIN BRANCH "G8"
            WIRE 2320 992 2448 992
        END BRANCH
        IOMARKER 2448 992 "G8" R0 28
        INSTANCE "XLXI_7" 2064 864 R0
        BEGIN BRANCH "C(7:0)"
            WIRE 2160 1280 2464 1280
        END BRANCH
        IOMARKER 2464 1280 "C(7:0)" R0 28
        BEGIN BRANCH "P8"
            WIRE 2320 768 2336 768
            WIRE 2336 768 2448 768
        END BRANCH
        IOMARKER 2448 768 "P8" R0 28
    END SHEET
END SCHEMATIC
