--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 7.1i
--  \   \         Application : sch2vhdl
--  /   /         Filename : cla16vhd.vhf
-- /___/   /\     Timestamp : 03/20/2006 11:58:49
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: "C:/Program Files/Xilinx/bin/nt/sch2vhdl.exe" -intstyle ise -family spartan2e -flat -suppress -w cla16vhd.sch cla16vhd.vhf
--Design Name: cla16vhd
--Device: spartan2e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity cla16vhd is
   port ( A    : in    std_logic_vector (15 downto 0); 
          B    : in    std_logic_vector (15 downto 0); 
          CIN  : in    std_logic; 
          COUT : out   std_logic; 
          S    : out   std_logic_vector (15 downto 0));
end cla16vhd;

architecture BEHAVIORAL of cla16vhd is
   attribute BOX_TYPE   : string ;
   signal XLXN_6  : std_logic;
   signal XLXN_7  : std_logic;
   signal XLXN_8  : std_logic;
   signal XLXN_10 : std_logic;
   signal XLXN_12 : std_logic;
   signal XLXN_13 : std_logic;
   signal XLXN_14 : std_logic;
   component AND3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND3 : component is "BLACK_BOX";
   
   component AND2
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of AND2 : component is "BLACK_BOX";
   
   component OR3
      port ( I0 : in    std_logic; 
             I1 : in    std_logic; 
             I2 : in    std_logic; 
             O  : out   std_logic);
   end component;
   attribute BOX_TYPE of OR3 : component is "BLACK_BOX";
   
   component cla8vhd
      port ( CIN  : in    std_logic; 
             A    : in    std_logic_vector (7 downto 0); 
             B    : in    std_logic_vector (7 downto 0); 
             COUT : out   std_logic; 
             S    : out   std_logic_vector (7 downto 0); 
             G8   : out   std_logic; 
             P8   : out   std_logic);
   end component;
   
begin
   XLXI_7 : AND3
      port map (I0=>CIN,
                I1=>XLXN_8,
                I2=>XLXN_7,
                O=>XLXN_13);
   
   XLXI_8 : AND2
      port map (I0=>XLXN_10,
                I1=>XLXN_8,
                O=>XLXN_14);
   
   XLXI_9 : OR3
      port map (I0=>XLXN_14,
                I1=>XLXN_13,
                I2=>XLXN_12,
                O=>COUT);
   
   XLXI_10 : cla8vhd
      port map (A(7 downto 0)=>A(7 downto 0),
                B(7 downto 0)=>B(7 downto 0),
                CIN=>CIN,
                COUT=>XLXN_6,
                G8=>XLXN_10,
                P8=>XLXN_7,
                S(7 downto 0)=>S(7 downto 0));
   
   XLXI_11 : cla8vhd
      port map (A(7 downto 0)=>A(15 downto 8),
                B(7 downto 0)=>B(15 downto 8),
                CIN=>XLXN_6,
                COUT=>open,
                G8=>XLXN_12,
                P8=>XLXN_8,
                S(7 downto 0)=>S(15 downto 8));
   
end BEHAVIORAL;


