VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "XLXN_1"
        SIGNAL "XLXN_4(7:0)"
        SIGNAL "XLXN_5(7:0)"
        SIGNAL "XLXN_6"
        SIGNAL "XLXN_7(7:0)"
        SIGNAL "CLK"
        SIGNAL "CE1"
        SIGNAL "B(7:0)"
        SIGNAL "A(7:0)"
        SIGNAL "CIN"
        SIGNAL "COUT"
        SIGNAL "S(7:0)"
        SIGNAL "RESET"
        SIGNAL "CE2"
        SIGNAL "XLXN_11"
        PORT Input "CLK"
        PORT Input "CE1"
        PORT Input "B(7:0)"
        PORT Input "A(7:0)"
        PORT Input "CIN"
        PORT Output "COUT"
        PORT Output "S(7:0)"
        PORT Input "RESET"
        PORT Input "CE2"
        BEGIN BLOCKDEF "fd8ce"
            TIMESTAMP 2001 2 2 12 52 25
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 192 -32 64 -32 
            LINE N 192 -64 192 -32 
            LINE N 80 -128 64 -144 
            LINE N 64 -112 80 -128 
            RECTANGLE N 320 -268 384 -244 
            RECTANGLE N 0 -268 64 -244 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF "fdce"
            TIMESTAMP 2001 2 2 12 52 25
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF "cla8"
            TIMESTAMP 2005 3 12 15 59 21
            LINE N 320 32 384 32 
            LINE N 320 96 384 96 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
            RECTANGLE N 64 -192 320 128 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_2" "fd8ce"
            PIN "C" "CLK"
            PIN "CE" "CE1"
            PIN "CLR" "RESET"
            PIN "D(7:0)" "B(7:0)"
            PIN "Q(7:0)" "XLXN_5(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_3" "fd8ce"
            PIN "C" "CLK"
            PIN "CE" "CE1"
            PIN "CLR" "RESET"
            PIN "D(7:0)" "A(7:0)"
            PIN "Q(7:0)" "XLXN_4(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_4" "fd8ce"
            PIN "C" "CLK"
            PIN "CE" "CE2"
            PIN "CLR" "RESET"
            PIN "D(7:0)" "XLXN_7(7:0)"
            PIN "Q(7:0)" "S(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_5" "fdce"
            PIN "C" "CLK"
            PIN "CE" "CE1"
            PIN "CLR" "RESET"
            PIN "D" "CIN"
            PIN "Q" "XLXN_1"
        END BLOCK
        BEGIN BLOCK "XLXI_6" "fdce"
            PIN "C" "CLK"
            PIN "CE" "CE2"
            PIN "CLR" "RESET"
            PIN "D" "XLXN_6"
            PIN "Q" "COUT"
        END BLOCK
        BEGIN BLOCK "XLXI_7" "cla8"
            PIN "CIN" "XLXN_1"
            PIN "A(7:0)" "XLXN_4(7:0)"
            PIN "B(7:0)" "XLXN_5(7:0)"
            PIN "COUT" "XLXN_6"
            PIN "S(7:0)" "XLXN_7(7:0)"
            PIN "G8"
            PIN "P8"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE "XLXI_2" 480 1392 R0
        INSTANCE "XLXI_3" 480 912 R0
        INSTANCE "XLXI_4" 2016 1376 R0
        INSTANCE "XLXI_5" 480 448 R0
        INSTANCE "XLXI_6" 2064 960 R0
        BEGIN BRANCH "XLXN_1"
            WIRE 864 192 880 192
            WIRE 880 192 880 512
            WIRE 880 512 1216 512
        END BRANCH
        BEGIN BRANCH "XLXN_4(7:0)"
            WIRE 864 656 1040 656
            WIRE 1040 576 1040 656
            WIRE 1040 576 1216 576
        END BRANCH
        BEGIN BRANCH "XLXN_5(7:0)"
            WIRE 864 1136 1104 1136
            WIRE 1104 640 1216 640
            WIRE 1104 640 1104 1136
        END BRANCH
        BEGIN BRANCH "XLXN_6"
            WIRE 1600 512 1824 512
            WIRE 1824 512 1824 704
            WIRE 1824 704 2064 704
        END BRANCH
        BEGIN BRANCH "XLXN_7(7:0)"
            WIRE 1600 640 1744 640
            WIRE 1744 640 1744 1120
            WIRE 1744 1120 2016 1120
        END BRANCH
        BEGIN BRANCH "CLK"
            WIRE 176 1536 384 1536
            WIRE 384 1536 1168 1536
            WIRE 384 320 480 320
            WIRE 384 320 384 784
            WIRE 384 784 480 784
            WIRE 384 784 384 1264
            WIRE 384 1264 480 1264
            WIRE 384 1264 384 1536
            WIRE 1168 832 2064 832
            WIRE 1168 832 1168 1248
            WIRE 1168 1248 1168 1536
            WIRE 1168 1248 2016 1248
        END BRANCH
        IOMARKER 176 1536 "CLK" R180 28
        BEGIN BRANCH "CE1"
            WIRE 160 1376 320 1376
            WIRE 320 256 480 256
            WIRE 320 256 320 720
            WIRE 320 720 480 720
            WIRE 320 720 320 1200
            WIRE 320 1200 480 1200
            WIRE 320 1200 320 1376
        END BRANCH
        IOMARKER 160 1376 "CE1" R180 28
        BEGIN BRANCH "B(7:0)"
            WIRE 160 1136 480 1136
        END BRANCH
        BEGIN BRANCH "A(7:0)"
            WIRE 176 656 480 656
        END BRANCH
        BEGIN BRANCH "CIN"
            WIRE 176 192 480 192
        END BRANCH
        IOMARKER 176 656 "A(7:0)" R180 28
        IOMARKER 160 1136 "B(7:0)" R180 28
        IOMARKER 176 192 "CIN" R180 28
        BEGIN BRANCH "COUT"
            WIRE 2448 704 2672 704
        END BRANCH
        BEGIN BRANCH "S(7:0)"
            WIRE 2400 1120 2720 1120
        END BRANCH
        IOMARKER 2672 704 "COUT" R0 28
        IOMARKER 2720 1120 "S(7:0)" R0 28
        BEGIN BRANCH "RESET"
            WIRE 192 1648 480 1648
            WIRE 480 1648 2016 1648
            WIRE 464 416 480 416
            WIRE 464 416 464 880
            WIRE 464 880 480 880
            WIRE 464 880 464 1360
            WIRE 464 1360 480 1360
            WIRE 480 1360 480 1648
            WIRE 2000 928 2000 1344
            WIRE 2000 1344 2016 1344
            WIRE 2016 1344 2016 1648
            WIRE 2000 928 2064 928
        END BRANCH
        IOMARKER 192 1648 "RESET" R180 28
        BEGIN INSTANCE "XLXI_7" 1216 672 R0
        END INSTANCE
        BEGIN BRANCH "CE2"
            WIRE 208 1760 1824 1760
            WIRE 1824 768 2064 768
            WIRE 1824 768 1824 1184
            WIRE 1824 1184 2016 1184
            WIRE 1824 1184 1824 1760
        END BRANCH
        IOMARKER 208 1760 "CE2" R180 28
    END SHEET
END SCHEMATIC
