VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "A(0)"
        SIGNAL "B(0)"
        SIGNAL "A(1)"
        SIGNAL "B(1)"
        SIGNAL "A(2)"
        SIGNAL "B(2)"
        SIGNAL "A(3)"
        SIGNAL "B(3)"
        SIGNAL "A(4)"
        SIGNAL "B(4)"
        SIGNAL "A(5)"
        SIGNAL "B(5)"
        SIGNAL "A(6)"
        SIGNAL "B(6)"
        SIGNAL "A(7)"
        SIGNAL "B(7)"
        SIGNAL "S(0)"
        SIGNAL "S(1)"
        SIGNAL "S(2)"
        SIGNAL "S(3)"
        SIGNAL "S(4)"
        SIGNAL "S(5)"
        SIGNAL "S(6)"
        SIGNAL "S(7)"
        SIGNAL "C(7)"
        SIGNAL "C(6)"
        SIGNAL "C(5)"
        SIGNAL "C(4)"
        SIGNAL "C(3)"
        SIGNAL "C(2)"
        SIGNAL "C(1)"
        SIGNAL "G(0)"
        SIGNAL "P(0)"
        SIGNAL "G(1)"
        SIGNAL "P(1)"
        SIGNAL "G(2)"
        SIGNAL "P(2)"
        SIGNAL "G(3)"
        SIGNAL "P(3)"
        SIGNAL "G(4)"
        SIGNAL "P(4)"
        SIGNAL "G(5)"
        SIGNAL "P(5)"
        SIGNAL "G(6)"
        SIGNAL "P(6)"
        SIGNAL "G(7)"
        SIGNAL "P(7)"
        SIGNAL "CIN"
        SIGNAL "COUT"
        SIGNAL "XLXN_102"
        SIGNAL "G8"
        SIGNAL "P8"
        SIGNAL "A(7:0)"
        SIGNAL "B(7:0)"
        SIGNAL "S(7:0)"
        SIGNAL "P(7:0)"
        SIGNAL "G(7:0)"
        SIGNAL "C(7:0)"
        PORT Input "CIN"
        PORT Output "COUT"
        PORT Output "G8"
        PORT Output "P8"
        PORT Input "A(7:0)"
        PORT Input "B(7:0)"
        PORT Output "S(7:0)"
        BEGIN BLOCKDEF "full_adder"
            TIMESTAMP 2005 3 12 12 54 38
            LINE N 256 32 256 -32 
            LINE N 192 32 192 -32 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 128 -192 128 -256 
            LINE N 320 -112 384 -112 
            LINE N 128 32 128 -32 
            RECTANGLE N 64 -192 320 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF "and2"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF "or2"
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF "carry8_logic"
            TIMESTAMP 2005 3 12 15 26 50
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_14" "full_adder"
            PIN "A" "A(0)"
            PIN "B" "B(0)"
            PIN "CI" "CIN"
            PIN "S" "S(0)"
            PIN "CO"
            PIN "P" "P(0)"
            PIN "G" "G(0)"
        END BLOCK
        BEGIN BLOCK "XLXI_15" "full_adder"
            PIN "A" "A(1)"
            PIN "B" "B(1)"
            PIN "CI" "C(1)"
            PIN "S" "S(1)"
            PIN "CO"
            PIN "P" "P(1)"
            PIN "G" "G(1)"
        END BLOCK
        BEGIN BLOCK "XLXI_16" "full_adder"
            PIN "A" "A(2)"
            PIN "B" "B(2)"
            PIN "CI" "C(2)"
            PIN "S" "S(2)"
            PIN "CO"
            PIN "P" "P(2)"
            PIN "G" "G(2)"
        END BLOCK
        BEGIN BLOCK "XLXI_17" "full_adder"
            PIN "A" "A(3)"
            PIN "B" "B(3)"
            PIN "CI" "C(3)"
            PIN "S" "S(3)"
            PIN "CO"
            PIN "P" "P(3)"
            PIN "G" "G(3)"
        END BLOCK
        BEGIN BLOCK "XLXI_18" "full_adder"
            PIN "A" "A(4)"
            PIN "B" "B(4)"
            PIN "CI" "C(4)"
            PIN "S" "S(4)"
            PIN "CO"
            PIN "P" "P(4)"
            PIN "G" "G(4)"
        END BLOCK
        BEGIN BLOCK "XLXI_19" "full_adder"
            PIN "A" "A(5)"
            PIN "B" "B(5)"
            PIN "CI" "C(5)"
            PIN "S" "S(5)"
            PIN "CO"
            PIN "P" "P(5)"
            PIN "G" "G(5)"
        END BLOCK
        BEGIN BLOCK "XLXI_20" "full_adder"
            PIN "A" "A(6)"
            PIN "B" "B(6)"
            PIN "CI" "C(6)"
            PIN "S" "S(6)"
            PIN "CO"
            PIN "P" "P(6)"
            PIN "G" "G(6)"
        END BLOCK
        BEGIN BLOCK "XLXI_21" "full_adder"
            PIN "A" "A(7)"
            PIN "B" "B(7)"
            PIN "CI" "C(7)"
            PIN "S" "S(7)"
            PIN "CO"
            PIN "P" "P(7)"
            PIN "G" "G(7)"
        END BLOCK
        BEGIN BLOCK "XLXI_23" "and2"
            PIN "I0" "P8"
            PIN "I1" "CIN"
            PIN "O" "XLXN_102"
        END BLOCK
        BEGIN BLOCK "XLXI_24" "or2"
            PIN "I0" "G8"
            PIN "I1" "XLXN_102"
            PIN "O" "COUT"
        END BLOCK
        BEGIN BLOCK "XLXI_25" "carry8_logic"
            PIN "cin" "CIN"
            PIN "g(7:0)" "G(7:0)"
            PIN "p(7:0)" "P(7:0)"
            PIN "g8" "G8"
            PIN "p8" "P8"
            PIN "c(7:0)" "C(7:0)"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE "XLXI_14" 3056 880 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_15" 2656 880 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_16" 2240 880 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_17" 1840 880 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_18" 1440 880 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_19" 1040 880 R90
        END INSTANCE
        BEGIN INSTANCE "XLXI_20" 624 880 R90
            BEGIN DISPLAY 256 -240 ATTR "Name"
                ALIGNMENT VLEFT
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
            BEGIN DISPLAY 192 96 ATTR "Name"
                ALIGNMENT VLEFT
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN INSTANCE "XLXI_21" 224 880 R90
            BEGIN DISPLAY 192 -32 ATTR "Name"
                ALIGNMENT VLEFT
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
            BEGIN DISPLAY 256 -32 ATTR "Name"
                ALIGNMENT VLEFT
                FONT 28 "Arial"
                DISPLAYFORMAT NAMEEQUALSVALUE
            END DISPLAY
        END INSTANCE
        BEGIN BRANCH "A(0)"
            WIRE 3216 640 3216 720
            WIRE 3216 720 3216 880
            BEGIN DISPLAY 3216 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(0)"
            WIRE 3152 640 3152 720
            WIRE 3152 720 3152 880
            BEGIN DISPLAY 3152 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(1)"
            WIRE 2816 640 2816 720
            WIRE 2816 720 2816 880
            BEGIN DISPLAY 2816 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(1)"
            WIRE 2752 640 2752 720
            WIRE 2752 720 2752 880
            BEGIN DISPLAY 2752 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(2)"
            WIRE 2400 640 2400 720
            WIRE 2400 720 2400 880
            BEGIN DISPLAY 2400 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(2)"
            WIRE 2336 640 2336 720
            WIRE 2336 720 2336 880
            BEGIN DISPLAY 2336 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(3)"
            WIRE 2000 640 2000 720
            WIRE 2000 720 2000 880
            BEGIN DISPLAY 2000 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(3)"
            WIRE 1936 640 1936 720
            WIRE 1936 720 1936 880
            BEGIN DISPLAY 1936 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(4)"
            WIRE 1600 640 1600 720
            WIRE 1600 720 1600 880
            BEGIN DISPLAY 1600 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(4)"
            WIRE 1536 640 1536 720
            WIRE 1536 720 1536 880
            BEGIN DISPLAY 1536 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(5)"
            WIRE 1200 640 1200 720
            WIRE 1200 720 1200 880
            BEGIN DISPLAY 1200 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(5)"
            WIRE 1136 640 1136 720
            WIRE 1136 720 1136 880
            BEGIN DISPLAY 1136 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(6)"
            WIRE 784 640 784 720
            WIRE 784 720 784 880
            BEGIN DISPLAY 784 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(6)"
            WIRE 720 640 720 720
            WIRE 720 720 720 880
            BEGIN DISPLAY 720 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(7)"
            WIRE 384 640 384 720
            WIRE 384 720 384 880
            BEGIN DISPLAY 384 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(7)"
            WIRE 320 640 320 720
            WIRE 320 720 320 880
            BEGIN DISPLAY 320 720 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(0)"
            WIRE 3168 1264 3168 1376
            WIRE 3168 1376 3168 1440
            BEGIN DISPLAY 3168 1376 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(1)"
            WIRE 2768 1264 2768 1376
            WIRE 2768 1376 2768 1440
            BEGIN DISPLAY 2768 1376 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(2)"
            WIRE 2352 1264 2352 1376
            WIRE 2352 1376 2352 1440
            BEGIN DISPLAY 2352 1376 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(3)"
            WIRE 1952 1264 1952 1376
            WIRE 1952 1376 1952 1440
            BEGIN DISPLAY 1952 1376 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(4)"
            WIRE 1552 1264 1552 1376
            WIRE 1552 1376 1552 1440
            BEGIN DISPLAY 1552 1376 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(5)"
            WIRE 1152 1264 1152 1376
            WIRE 1152 1376 1152 1440
            BEGIN DISPLAY 1152 1376 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(6)"
            WIRE 736 1264 736 1376
            WIRE 736 1376 736 1440
            BEGIN DISPLAY 736 1376 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(7)"
            WIRE 336 1264 336 1376
            WIRE 336 1376 336 1440
            BEGIN DISPLAY 336 1376 ATTR "Name"
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "C(7)"
            WIRE 480 1008 528 1008
        END BRANCH
        BEGIN BRANCH "C(6)"
            WIRE 880 1008 928 1008
        END BRANCH
        BEGIN BRANCH "C(5)"
            WIRE 1296 1008 1360 1008
        END BRANCH
        BEGIN BRANCH "C(4)"
            WIRE 1696 1008 1744 1008
        END BRANCH
        BEGIN BRANCH "C(3)"
            WIRE 2096 1008 2144 1008
        END BRANCH
        BEGIN BRANCH "C(2)"
            WIRE 2496 1008 2560 1008
        END BRANCH
        BEGIN BRANCH "C(1)"
            WIRE 2912 1008 2976 1008
        END BRANCH
        BEGIN BRANCH "G(0)"
            WIRE 2928 1072 3008 1072
            WIRE 3008 1072 3024 1072
            BEGIN DISPLAY 3008 1072 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "P(0)"
            WIRE 2928 1136 3008 1136
            WIRE 3008 1136 3024 1136
            BEGIN DISPLAY 3008 1136 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "G(1)"
            WIRE 2512 1072 2576 1072
            WIRE 2576 1072 2624 1072
            BEGIN DISPLAY 2576 1072 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "P(1)"
            WIRE 2512 1136 2576 1136
            WIRE 2576 1136 2624 1136
            BEGIN DISPLAY 2576 1136 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "G(2)"
            WIRE 2096 1072 2144 1072
            WIRE 2144 1072 2208 1072
            BEGIN DISPLAY 2144 1072 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "P(2)"
            WIRE 2096 1136 2144 1136
            WIRE 2144 1136 2208 1136
            BEGIN DISPLAY 2144 1136 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "G(3)"
            WIRE 1696 1072 1728 1072
            WIRE 1728 1072 1808 1072
            BEGIN DISPLAY 1728 1072 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "P(3)"
            WIRE 1696 1136 1728 1136
            WIRE 1728 1136 1808 1136
            BEGIN DISPLAY 1728 1136 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "G(4)"
            WIRE 1296 1072 1312 1072
            WIRE 1312 1072 1408 1072
            BEGIN DISPLAY 1312 1072 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "P(4)"
            WIRE 1296 1136 1312 1136
            WIRE 1312 1136 1408 1136
            BEGIN DISPLAY 1312 1136 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "G(5)"
            WIRE 864 1072 1008 1072
        END BRANCH
        BEGIN BRANCH "P(5)"
            WIRE 864 1136 1008 1136
        END BRANCH
        BEGIN BRANCH "G(6)"
            WIRE 496 1072 592 1072
        END BRANCH
        BEGIN BRANCH "P(6)"
            WIRE 480 1136 592 1136
        END BRANCH
        BEGIN BRANCH "G(7)"
            WIRE 80 1072 192 1072
        END BRANCH
        BEGIN BRANCH "P(7)"
            WIRE 80 1136 192 1136
        END BRANCH
        BEGIN BRANCH "CIN"
            WIRE 912 1536 912 1600
            WIRE 912 1536 2496 1536
            WIRE 2496 1536 2496 1744
            WIRE 2496 1744 3360 1744
            WIRE 2496 1744 2496 2208
            WIRE 2288 2208 2496 2208
            WIRE 3312 1008 3360 1008
            WIRE 3360 1008 3360 1744
            WIRE 3360 1008 3424 1008
        END BRANCH
        IOMARKER 3424 1008 "CIN" R0 28
        INSTANCE "XLXI_23" 912 1728 M0
        INSTANCE "XLXI_24" 400 1760 M0
        BEGIN BRANCH "COUT"
            WIRE 128 1664 144 1664
        END BRANCH
        BEGIN BRANCH "XLXN_102"
            WIRE 400 1632 656 1632
        END BRANCH
        BEGIN BRANCH "G8"
            WIRE 320 2112 480 2112
            WIRE 480 2112 480 2208
            WIRE 480 2208 1904 2208
            WIRE 400 1696 480 1696
            WIRE 480 1696 480 2112
        END BRANCH
        BEGIN BRANCH "P8"
            WIRE 912 1664 1312 1664
            WIRE 1312 1664 1312 2032
            WIRE 1312 2032 1312 2144
            WIRE 1312 2144 1904 2144
            WIRE 1152 2032 1312 2032
        END BRANCH
        IOMARKER 128 1664 "COUT" R180 28
        BEGIN BRANCH "A(7:0)"
            WIRE 1776 272 1776 432
        END BRANCH
        BEGIN BRANCH "B(7:0)"
            WIRE 1616 272 1616 432
        END BRANCH
        IOMARKER 1776 272 "A(7:0)" R270 28
        IOMARKER 1616 272 "B(7:0)" R270 28
        BEGIN INSTANCE "XLXI_25" 2288 2048 R180
        END INSTANCE
        BEGIN BRANCH "P(7:0)"
            WIRE 2288 2080 2560 2080
        END BRANCH
        BEGIN BRANCH "G(7:0)"
            WIRE 2288 2144 2736 2144
        END BRANCH
        BEGIN BRANCH "C(7:0)"
            WIRE 1424 2080 1456 2080
            WIRE 1456 2080 1904 2080
            BEGIN DISPLAY 1456 2080 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 1632 2336 "S(7:0)" R90 28
        BEGIN BRANCH "S(7:0)"
            WIRE 1632 2128 1632 2336
        END BRANCH
        IOMARKER 1152 2032 "P8" R180 28
        IOMARKER 320 2112 "G8" R180 28
    END SHEET
END SCHEMATIC
