VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL P
        SIGNAL A
        SIGNAL B
        SIGNAL CI
        SIGNAL S
        SIGNAL G
        SIGNAL XLXN_7
        SIGNAL CO
        PORT Output P
        PORT Input A
        PORT Input B
        PORT Input CI
        PORT Output S
        PORT Output G
        PORT Output CO
        BEGIN BLOCKDEF half_adder
            TIMESTAMP 2005 3 12 12 34 42
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF or2
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 28 -224 204 -48 112 -48 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -48 48 -48 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 half_adder
            PIN A B
            PIN B A
            PIN S P
            PIN C G
        END BLOCK
        BEGIN BLOCK XLXI_2 half_adder
            PIN A CI
            PIN B P
            PIN S S
            PIN C XLXN_7
        END BLOCK
        BEGIN BLOCK XLXI_3 or2
            PIN I0 G
            PIN I1 XLXN_7
            PIN O CO
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 1728 624 R90
        END INSTANCE
        BEGIN BRANCH P
            WIRE 1040 1136 1824 1136
            WIRE 1824 1136 1824 1200
            WIRE 1824 1008 1824 1136
        END BRANCH
        BEGIN INSTANCE XLXI_2 1792 1200 R90
        END INSTANCE
        BEGIN BRANCH A
            WIRE 1760 480 1760 624
        END BRANCH
        BEGIN BRANCH B
            WIRE 1824 480 1824 624
        END BRANCH
        IOMARKER 1760 480 A R270 28
        IOMARKER 1824 480 B R270 28
        BEGIN BRANCH CI
            WIRE 1888 1120 1888 1200
            WIRE 1888 1120 2400 1120
        END BRANCH
        IOMARKER 2400 1120 CI R0 28
        BEGIN BRANCH S
            WIRE 1888 1584 1888 1760
        END BRANCH
        IOMARKER 1888 1760 S R90 28
        BEGIN BRANCH G
            WIRE 1040 1072 1760 1072
            WIRE 1760 1072 1760 1200
            WIRE 1440 1200 1760 1200
            WIRE 1760 1008 1760 1072
        END BRANCH
        BEGIN BRANCH XLXN_7
            WIRE 1440 1264 1520 1264
            WIRE 1520 1264 1520 1664
            WIRE 1520 1664 1824 1664
            WIRE 1824 1584 1824 1664
        END BRANCH
        BEGIN BRANCH CO
            WIRE 1040 1232 1184 1232
        END BRANCH
        IOMARKER 1040 1232 CO R180 28
        IOMARKER 1040 1072 G R180 28
        IOMARKER 1040 1136 P R180 28
        INSTANCE XLXI_3 1440 1136 R180
    END SHEET
END SCHEMATIC
