VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL A
        SIGNAL B
        SIGNAL S
        SIGNAL C
        PORT Input A
        PORT Input B
        PORT Output S
        PORT Output C
        BEGIN BLOCKDEF and2
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF xor2
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -64 64 -64 
            LINE N 0 -128 60 -128 
            LINE N 256 -96 208 -96 
            ARC N -40 -152 72 -40 48 -48 44 -144 
            ARC N -24 -152 88 -40 64 -48 64 -144 
            LINE N 128 -144 64 -144 
            LINE N 128 -48 64 -48 
            ARC N 44 -144 220 32 208 -96 128 -144 
            ARC N 44 -224 220 -48 128 -48 208 -96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 and2
            PIN I0 A
            PIN I1 B
            PIN O C
        END BLOCK
        BEGIN BLOCK XLXI_2 xor2
            PIN I0 A
            PIN I1 B
            PIN O S
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH A
            WIRE 1120 960 1120 1120
            WIRE 1120 960 1280 960
            WIRE 1280 960 1600 960
            WIRE 1600 960 1600 1120
            WIRE 1280 800 1280 960
        END BRANCH
        BEGIN BRANCH B
            WIRE 1184 1040 1184 1120
            WIRE 1184 1040 1440 1040
            WIRE 1440 1040 1664 1040
            WIRE 1664 1040 1664 1120
            WIRE 1440 800 1440 1040
        END BRANCH
        IOMARKER 1280 800 A R270 28
        IOMARKER 1440 800 B R270 28
        BEGIN BRANCH S
            WIRE 1152 1376 1152 1504
        END BRANCH
        BEGIN BRANCH C
            WIRE 1632 1376 1632 1504
        END BRANCH
        IOMARKER 1152 1504 S R90 28
        IOMARKER 1632 1504 C R90 28
        INSTANCE XLXI_1 1536 1120 R90
        INSTANCE XLXI_2 1056 1120 R90
    END SHEET
END SCHEMATIC
