VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL "CIN"
        SIGNAL "A(7:0)"
        SIGNAL "B(7:0)"
        SIGNAL "A(15:8)"
        SIGNAL "B(15:8)"
        SIGNAL "XLXN_6"
        SIGNAL "S(7:0)"
        SIGNAL "S(15:8)"
        SIGNAL "COUT"
        SIGNAL "A(15:0)"
        SIGNAL "B(15:0)"
        SIGNAL "S(15:0)"
        PORT Input "CIN"
        PORT Output "COUT"
        PORT Input "A(15:0)"
        PORT Input "B(15:0)"
        PORT Output "S(15:0)"
        BEGIN BLOCKDEF "rca8"
            TIMESTAMP 2005 3 12 15 5 34
            RECTANGLE N 64 -192 320 0 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -32 0 -32 
            RECTANGLE N 0 -44 64 -20 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
            RECTANGLE N 320 -44 384 -20 
        END BLOCKDEF
        BEGIN BLOCK "XLXI_1" "rca8"
            PIN "CIN" "CIN"
            PIN "A(7:0)" "A(7:0)"
            PIN "B(7:0)" "B(7:0)"
            PIN "COUT" "XLXN_6"
            PIN "S(7:0)" "S(7:0)"
        END BLOCK
        BEGIN BLOCK "XLXI_2" "rca8"
            PIN "CIN" "XLXN_6"
            PIN "A(7:0)" "A(15:8)"
            PIN "B(7:0)" "B(15:8)"
            PIN "COUT" "COUT"
            PIN "S(7:0)" "S(15:8)"
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE "XLXI_1" 1264 640 R0
        END INSTANCE
        BEGIN INSTANCE "XLXI_2" 1280 1120 R0
        END INSTANCE
        BEGIN BRANCH "CIN"
            WIRE 784 480 1264 480
        END BRANCH
        IOMARKER 784 480 "CIN" R180 28
        BEGIN BRANCH "A(7:0)"
            WIRE 864 544 992 544
            WIRE 992 544 1264 544
            BEGIN DISPLAY 992 544 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(7:0)"
            WIRE 864 608 976 608
            WIRE 976 608 1264 608
            BEGIN DISPLAY 976 608 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "A(15:8)"
            WIRE 864 1024 976 1024
            WIRE 976 1024 1280 1024
            BEGIN DISPLAY 976 1024 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "B(15:8)"
            WIRE 864 1088 960 1088
            WIRE 960 1088 1280 1088
            BEGIN DISPLAY 960 1088 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "XLXN_6"
            WIRE 1216 800 1728 800
            WIRE 1216 800 1216 960
            WIRE 1216 960 1280 960
            WIRE 1648 480 1728 480
            WIRE 1728 480 1728 800
        END BRANCH
        BEGIN BRANCH "S(7:0)"
            WIRE 1648 608 1856 608
            WIRE 1856 608 2064 608
            BEGIN DISPLAY 1856 608 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "S(15:8)"
            WIRE 1664 1088 1840 1088
            WIRE 1840 1088 2048 1088
            BEGIN DISPLAY 1840 1088 ATTR "Name"
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH "COUT"
            WIRE 1664 960 2000 960
        END BRANCH
        IOMARKER 2000 960 "COUT" R0 28
        BEGIN BRANCH "A(15:0)"
            WIRE 336 720 624 720
        END BRANCH
        BEGIN BRANCH "B(15:0)"
            WIRE 336 816 608 816
            WIRE 608 816 624 816
        END BRANCH
        IOMARKER 336 720 "A(15:0)" R180 28
        IOMARKER 336 816 "B(15:0)" R180 28
        BEGIN BRANCH "S(15:0)"
            WIRE 2096 800 2384 800
        END BRANCH
        IOMARKER 2384 800 "S(15:0)" R0 28
    END SHEET
END SCHEMATIC
