--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 7.1i
--  \   \         Application : sch2vhdl
--  /   /         Filename : rca16.vhf
-- /___/   /\     Timestamp : 03/20/2006 12:04:15
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: "C:/Program Files/Xilinx/bin/nt/sch2vhdl.exe" -intstyle ise -family spartan2e -flat -suppress -w rca16.sch rca16.vhf
--Design Name: rca16
--Device: spartan2e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity rca16 is
   port ( A    : in    std_logic_vector (15 downto 0); 
          B    : in    std_logic_vector (15 downto 0); 
          CIN  : in    std_logic; 
          COUT : out   std_logic; 
          S    : out   std_logic_vector (15 downto 0));
end rca16;

architecture BEHAVIORAL of rca16 is
   signal XLXN_6 : std_logic;
   component rca8
      port ( CIN  : in    std_logic; 
             A    : in    std_logic_vector (7 downto 0); 
             B    : in    std_logic_vector (7 downto 0); 
             COUT : out   std_logic; 
             S    : out   std_logic_vector (7 downto 0));
   end component;
   
begin
   XLXI_1 : rca8
      port map (A(7 downto 0)=>A(7 downto 0),
                B(7 downto 0)=>B(7 downto 0),
                CIN=>CIN,
                COUT=>XLXN_6,
                S(7 downto 0)=>S(7 downto 0));
   
   XLXI_2 : rca8
      port map (A(7 downto 0)=>A(15 downto 8),
                B(7 downto 0)=>B(15 downto 8),
                CIN=>XLXN_6,
                COUT=>COUT,
                S(7 downto 0)=>S(15 downto 8));
   
end BEHAVIORAL;


